InverseCumulativeNormal Class Reference

Inverse cumulative normal distribution function. More...

`#include <ql/math/distributions/normaldistribution.hpp>`

Inherits unary_function< Real, Real >.

## Public Member Functions

| InverseCumulativeNormal (Real average=0.0, Real sigma=1.0)
Real | operator() (Real x) const

## Static Public Member Functions

static Real | standard_value (Real x)

## Detailed Description

Inverse cumulative normal distribution function.

Given x between zero and one as the integral value of a gaussian normal distribution this class provides the value y such that formula here ...

It use Acklam's approximation: by Peter J. Acklam, University of Oslo, Statistics Division. URL: http://home.online.no/~pjacklam/notes/invnorm/index.html

This class can also be used to generate a gaussian normal distribution from a uniform distribution. This is especially useful when a gaussian normal distribution is generated from a low discrepancy uniform distribution: in this case the traditional Box-Muller approach and its variants would not preserve the sequence's low-discrepancy.